Skip to main content

Providers

Overview

Providers endpoints expose read-only provider discovery. Provider contacts are scoped to the current client and are returned only for providers linked to that client.

Endpoint Summary

MethodRoutePurpose
GET/v2.3/providersList providers
GET/v2.3/providers/{providerId}Get provider profile and public status
GET/v2.3/providers/{providerId}/ratingGet provider rating summary
GET/v2.3/providers/{providerId}/countriesList countries covered by provider
GET/v2.3/providers/{providerId}/servicesList services offered by provider
GET/v2.3/providers/{providerId}/contactsList provider contacts for the current client

GET /v2.3/providers

Return providers visible to the current client.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Query Parameters

ParameterTypeRequiredDescription
pagenumberNoPage number.
per_pagenumberNoItems per page.
search_textstringNoSearch value.
search_filtersstringNoEncoded filter values.
search_fieldsstringNoEncoded searchable fields.
statusstringNoFilter by provider status.
country_codestringNoFilter by covered country.

Example Request

curl -X GET "{{BASE_URL}}/v2.3/providers?page=1&per_page=20" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": {
"currentPage": 1,
"perPage": 20,
"total": 1,
"items": [
{
"id": 5,
"provider_id": 4278,
"company_name": "Global Mobility Partner",
"status_id": 3,
"status": {
"id": 3,
"text": "Active"
},
"marketplace_provider": false,
"orders": 0,
"order_value": 0,
"currency_code": "",
"primary_user": {
"id": 7258,
"user_id": 22318,
"entity_id": 4278,
"entity_uuid": "3a8a788c-a543-4a89-8329-bd73af28bd4d",
"company_position": "",
"is_primary": true,
"user": {
"id": 22318,
"uuid": "69fb2282-4076-4ca8-84dd-47f088f8237a",
"first_name": "Provider",
"last_name": "Test",
"name": "Provider Test",
"email": "[email protected]",
"entity_id": 4278,
"entity_uuid": "3a8a788c-a543-4a89-8329-bd73af28bd4d",
"entity_type": "provider",
"primary_image_path": null,
"is_primary": true,
"phone_prefix": "+373",
"phone_country": "MD",
"phone_number": null,
"phone": null,
"status": "active",
"status_reason": null,
"created_at": "2025-01-15T15:20:01.000000Z",
"updated_at": "2025-05-05T22:45:36.000000Z",
"timezone": null
}
},
"default_legal_entity": null
}
],
"filters": []
}
}

GET /v2.3/providers/{providerId}

Return provider profile details and public status.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Path Parameters

ParameterTypeRequiredDescription
providerIdnumberYesProvider identifier.

Example Request

curl -X GET "{{BASE_URL}}/v2.3/providers/{{PROVIDER_ID}}" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": {
"id": 3737,
"provider_id": 4278,
"company_name": "Global Mobility Partner",
"status_id": 3,
"status": {
"id": 3,
"text": "Active"
},
"marketplace_provider": false,
"orders": 0,
"order_value": 0,
"currency_code": "",
"primary_user": {
"id": 7258,
"user_id": 22318,
"entity_id": 4278,
"entity_uuid": "3a8a788c-a543-4a89-8329-bd73af28bd4d",
"company_position": "",
"is_primary": true,
"user": {
"id": 22318,
"uuid": "69fb2282-4076-4ca8-84dd-47f088f8237a",
"first_name": "Provider",
"last_name": "Test",
"name": "Provider Test",
"email": "[email protected]",
"entity_id": 4278,
"entity_uuid": "3a8a788c-a543-4a89-8329-bd73af28bd4d",
"entity_type": "provider",
"primary_image_path": null,
"is_primary": true,
"phone_prefix": "+373",
"phone_country": "MD",
"phone_number": null,
"phone": null,
"status": "active",
"status_reason": null,
"created_at": "2025-01-15T15:20:01.000000Z",
"updated_at": "2025-05-05T22:45:36.000000Z",
"timezone": null
}
},
"default_legal_entity": null,
"details": {
"id": 4278,
"company_name": "Global Mobility Partner",
"country_code": "",
"primary_image_path": "",
"description": "",
"company_type": null,
"service_offers": 0,
"no_of_ratings": 0,
"ratings": [],
"rating": 0,
"default_legal_entity": null
}
}
}

GET /v2.3/providers/{providerId}/rating

Return provider rating summary.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Path Parameters

ParameterTypeRequiredDescription
providerIdnumberYesProvider identifier.

Example Request

curl -X GET "{{BASE_URL}}/v2.3/providers/{{PROVIDER_ID}}/rating" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": {
"published_offers": 0,
"rating": null
}
}

GET /v2.3/providers/{providerId}/countries

Return countries covered by the provider.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Path Parameters

ParameterTypeRequiredDescription
providerIdnumberYesProvider identifier.

Example Request

curl -X GET "{{BASE_URL}}/v2.3/providers/{{PROVIDER_ID}}/countries" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": [
{
"id": 80,
"country_code": "DE",
"name": "GERMANY",
"phone_code": "+49"
},
{
"id": 176,
"country_code": "RO",
"name": "ROMANIA",
"phone_code": "+40"
}
]
}

GET /v2.3/providers/{providerId}/services

Return services offered by the provider.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Path Parameters

ParameterTypeRequiredDescription
providerIdnumberYesProvider identifier.

Query Parameters

ParameterTypeRequiredDescription
pagenumberNoPage number.
per_pagenumberNoItems per page.
category_idnumberNoFilter by service category.
country_codestringNoFilter by service country.

Example Request

curl -X GET "{{BASE_URL}}/v2.3/providers/{{PROVIDER_ID}}/services?page=1&per_page=20" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": {
"total": 1,
"start_at": 0,
"per_page": 25,
"items": [
{
"categories": [
"Relocation"
],
"categories_ids": [
"19"
],
"category_id": "19",
"category": "Relocation",
"category_s": "Relocation",
"city": "Berlin",
"city_s": "Berlin",
"country_code": "DE",
"country": "GERMANY",
"country_s": "GERMANY",
"id": "4740",
"provider_id": "4278",
"provider": "Global Mobility Partner",
"provider_s": "Global Mobility Partner",
"provider_slug": "global-mobility-partner",
"rating": 4.5,
"rating_d": 5,
"reviews": 0,
"title": "Relocation Support Service",
"title_suggest": "Relocation Support Service",
"description": "End-to-end relocation support for employees moving to Germany.",
"current_price": 0,
"current_currency": "EUR",
"price": 0,
"currency": "EUR",
"time_duration": 5,
"offer_views": 0,
"for_individual": true,
"for_business": true,
"score": 1
}
],
"filters": [
{
"key": "provider_s",
"label": "Provider",
"type": "text",
"values": [
{
"name": "Global Mobility Partner",
"items_count": 1,
"active": 0
}
]
},
{
"key": "country",
"label": "Country",
"type": "text",
"values": [
{
"name": "GERMANY",
"items_count": 1,
"active": 0
}
]
},
{
"key": "categories",
"label": "Category",
"type": "text",
"values": [
{
"name": "Relocation",
"items_count": 1,
"active": 0
}
]
}
],
"range_filters": [
{
"key": "current_price",
"label": "Price",
"min": 0,
"max": 0
},
{
"key": "time_duration",
"label": "Duration",
"min": 5,
"max": 5
}
],
"active_filters": {
"provider_id": [
"4278"
],
"for_business": [
1
],
"for_individual": [
1,
0
]
}
}
}

GET /v2.3/providers/{providerId}/contacts

Return provider contacts for the current client. The client is inferred from the access token.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Path Parameters

ParameterTypeRequiredDescription
providerIdnumberYesProvider identifier.

Example Request

curl -X GET "{{BASE_URL}}/v2.3/providers/{{PROVIDER_ID}}/contacts" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": {
"currentPage": 1,
"perPage": 25,
"lastPage": 1,
"total": 1,
"items": [
{
"id": 2447,
"label": null,
"name": "Provider Test",
"email": "[email protected]",
"phone_prefix": "+373",
"phone_number": "79103098",
"is_primary": false,
"is_emergency": false,
"address": null,
"company_position": null,
"legal_entity_id": null,
"legal_entity": null
}
],
"filters": []
}
}